Name:          mdadm
Version:       4.3
Release:       1mamba
Summary:       A tool to manage MD devices aka Linux Software RAID
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.kernel.org/pub/scm/utils/mdadm/mdadm.git/
Source:        http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.xz
Patch0:        mdadm-3.3.1-gcc-4.9.patch
Patch2:        mdadm-4.1-no-Werror.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
%systemd_requires
Provides:      mdadm-static
Obsoletes:     mdadm-static < 4.1

%description
mdadm is a program that can be used to create, manage, and monitor Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single program, and it can perform (almost) all functions without a configuration file (that a config file can be used to help with some common tasks).

%debug_package

%prep
%setup -q
%define _default_patch_fuzz 2
%patch 0 -p1
#%patch 2 -p1

%build
%make \
   SYSTEMD_DIR=%{_unitdir}

#% make mdadm.static

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install-systemd \
   SYSTEMD_DIR=%{_unitdir} \
   BINDIR=%{_sbindir}

install -D -m 644 %{name}.conf-example \
   %{buildroot}%{_sysconfdir}/%{name}.conf

#install -D -m 644 %{name}.static \
#   %{buildroot}%{_sbindir}/%{name}.static

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace,missingok)/%{_sysconfdir}/mdadm.conf
%{_sbindir}/%{name}
%{_sbindir}/mdmon
%{_udevrulesdir}/*.rules
%{_systemd_util_dir}/system-shutdown/mdadm.shutdown
%{_unitdir}/mdcheck_continue.service
%{_unitdir}/mdcheck_continue.timer
%{_unitdir}/mdcheck_start.service
%{_unitdir}/mdcheck_start.timer
%{_unitdir}/mdmonitor-oneshot.service
%{_unitdir}/mdmonitor-oneshot.timer
%{_unitdir}/mdadm-grow-continue@.service
%{_unitdir}/mdadm-last-resort@.service
%{_unitdir}/mdadm-last-resort@.timer
%{_unitdir}/mdmon@.service
%{_unitdir}/mdmonitor.service
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%doc COPYING
# ChangeLog README.initramfs TODO

%changelog
* Sat Mar 02 2024 Automatic Build System <autodist@openmamba.org> 4.3-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-1mamba
- update to 4.2

* Tue Dec 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1-2mamba
- rebuilt with debug package

* Tue Apr 23 2019 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic version update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic update by autodist

* Sat Sep 05 2015 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Tue Jun 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.2-2mamba
- install systemd scripts

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic update by autodist

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.1-1mamba
- update to 3.3.1

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Thu May 10 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 3.2.4-1mamba
- update to 3.2.4

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Thu Apr 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-2mamba
- install mdadm and mdmon in /sbin as expected by dracut
- disable static package build

* Thu Mar 31 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic update by autodist

* Sat Feb 05 2011 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic update by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic update by autodist

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Tue Oct 27 2009 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic update by autodist

* Wed Sep 30 2009 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update by autodist

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.9-1mamba
- update to 2.6.9
- added static subpackage containing static mdadm binary

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.7-1mamba
- automatic update by autodist

* Fri Nov 09 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.6.4-1mamba
- package created by autospec
